Skip to main content
GET
Nope

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

call_delta
number

The total call delta obtained by multiplying the volume of all call options with their latest delta.

Example:

"-21257.36"

call_fill_delta
number

The total call delta obtained by summing up the size of each call trade multiplied by the delta at the time of the transaction.

Example:

"-21257.36"

call_vol
integer

The cumulative total volume of call options traded.

Example:

12348

nope
number

The NOPE value based on call_delta & put_delta

Example:

"-0.000648"

nope_fill
number

The NOPE value based on call_fill_delta & put_fill_delta

Example:

"-0.000434"

put_delta
number

The total put delta obtained by multiplying the volume of all put options with their latest delta.

Example:

"-43593.96"

put_fill_delta
number

The total put delta obtained by summing up the size of each put trade multiplied by the delta at the time of the transaction.

Example:

"-43593.96"

put_vol
integer

The cumulative total volume of put options traded.

Example:

12348

stock_vol
integer

The cumulative total volume of the underlying stock traded.

Example:

12348

timestamp
string<date-time>

The (start of minute) timestamp of the data.

Example:

"2024-10-28T18:46:00.000Z"

Last modified on September 29, 2026